"""
Version command for Orbizen CLI.
"""
import click
from colorama import Fore, Style

from orbizen.utils.config import get_version

@click.command(name="version", help="Display version information")
@click.option('-v', '--verbose', is_flag=True, help="Display verbose version information")
def version(verbose):
    """Display the current version of Orbizen CLI."""
    if verbose:
        click.echo(f"{Fore.CYAN}Orbizen Cloud CLI {get_version()}{Style.RESET_ALL}")
        click.echo("© 2023 Orbizen Cloud. All Rights Reserved.")
    else:
        click.echo(get_version()) 