from setuptools import setup, find_packages

with open("README.md", "r", encoding="utf-8") as fh:
    long_description = fh.read()

with open("requirements.txt", "r", encoding="utf-8") as fh:
    requirements = fh.read().splitlines()

setup(
    name="orbizen-cli",
    version="0.1.0",
    author="Orbizen Cloud",
    author_email="support@orbizen.cloud",
    description="CLI tool for Orbizen Cloud",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://github.com/orbizen/orbizen-cli",
    packages=find_packages(),
    include_package_data=True,
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
    python_requires=">=3.8",
    install_requires=requirements,
    entry_points={
        "console_scripts": [
            "orbizen=orbizen.cli:main",
        ],
    },
) 